#ifndef REGION_H_INCLUDED
#define REGION_H_INCLUDED

#ifdef _WIN32_WCE
#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

typedef void* AWT_HRGN;

AWT_HRGN WINAPI AWT_CreatePolyPolygonRgn(const POINT *Pts, const INT *Count,
		      INT nbpolygons, INT mode);
BOOL AWT_DeleteRgn(AWT_HRGN hrgn);

DWORD WINAPI AWT_GetRegionData(AWT_HRGN hrgn, DWORD count, LPRGNDATA rgndata);

DWORD WINAPI AWT_PatBltRegion(AWT_HRGN hrgn, HDC hDC);

/* Polygon modes */
#define ALTERNATE         1
#define WINDING           2
#define POLYFILL_LAST     2

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* _WIN32_WCE */

#endif
